<?php

class Maquina extends TRecord
{
    const TABLENAME = 'tbl_maquina';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('id_ponto');
        parent::addAttribute('tipo');
        parent::addAttribute('credito');
        parent::addAttribute('cadastro');
        parent::addAttribute('last_visita');
    }
}
?>